body {
  margin: 0px;
  padding: 0px;
  max-width: 100vw;
  font-family: "Poppins", sans-serif;

}

pre,
code {
  overflow: auto;


}

.button-3 {
  appearance: none;
  background-color: #2ea44f;
  border: none;
  border-radius: 4px;
  box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
  box-sizing: border-box;
  color: #ffffff;
  cursor: pointer;
  display: inline-block;
  font-weight: 550;
  line-height: 15px;
  margin: 10px 10px;
  list-style: none;
  text-align: center;
  text-decoration: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
  white-space: nowrap;
  position: relative;
  display: inline-block;
  padding: 10px 15px;
  margin-bottom: 12px;
}

.button-3:focus:not(:focus-visible):not(.focus-visible) {
  box-shadow: none;
  outline: none;
}

.button-3:hover {
  background-color: #2c974b;
}

.button-3:focus {
  box-shadow: rgba(46, 164, 79, .4) 0 0 0 3px;
  outline: none;
}

.button-3:disabled {
  background-color: #94d3a2;
  border-color: rgba(27, 31, 35, .1);
  color: rgba(255, 255, 255, .8);
  cursor: default;
}

.button-3:active {
  background-color: #298e46;
  box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}

.heading {
  font-size: 20px;
  color: rgba(0, 0, 0, 0.655);
  padding: 0px 10px;

}

.mainBox {
  display: flex;
  height: 100%;
  width: 100%;
}

#pageContainer {
  display: flex;
  padding: 5px;
  width: 200vw;
  height: 100vh;
}

#blocklyDiv {
  height: 90vh;
  width: 350vw;
  /* min-width: 600px; */
}

#outputPane {
  display: flex;
  flex-direction: column;
  width: 450px;
  flex: 0 0 72vh;
  overflow: auto;
  margin: 1rem;
  margin-top: 0px;
  padding: 10px;
}

#generatedCode {
  margin-top: 5px;
  font-size: 15px;
  width: 32vw;
  color: white;
  padding: 10px;
  height: 100%;
  border-radius: 10px;
  background-color: rgb(39, 37, 35);
  /* resize: vertical;
    overflow: auto; */
}

#output {
  height: 30%;
}

#myTopnav {
  display: flex;
}

.button-4 {
  appearance: none;
  background-color: #2ea44f;
  border: none;
  border-radius: 4px;
  box-shadow: rgba(73, 79, 84, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;
  box-sizing: border-box;
  color: #ffffff;
  cursor: pointer;
  font-size: 15px;
  font-weight: 500;
  line-height: 15px;
  list-style: none;
  padding: 10px 15px;
  position: relative;
  transition: background-color 0.2s cubic-bezier(0.3, 0, 0.5, 1);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
  white-space: nowrap;
  word-wrap: break-word;
  margin: 10px 10px;
}

.button-4:hover {
  background-color: #2c974b;
  text-decoration: none;
  transition-duration: 0.1s;
}

.button-4:disabled {
  background-color: #FAFBFC;
  border-color: rgba(27, 31, 35, 0.15);
  color: #959DA5;
  cursor: default;
}

.button-4:active {
  background-color: #298e46;
  box-shadow: rgba(225, 228, 232, 0.2) 0 1px 0 inset;
  transition: none 0s;
}

.button-4:focus {
  outline: 1px transparent;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 99;
}

.dropdown-content button {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  width: 100%;
  border: none;
  background: none;
  text-align: left;
}

.dropdown-content button:hover {
  background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
  display: block;
}